Subject: bug#61589: 28.2; Triple-Quote causes emacs 28 to free in Python-mode

From: Ruijie Yu <[email-masked]>
Date: Sat, 18 Feb 2023 11:18:51 +0800

Adam Connor <[email-masked]> writes:

> emacs -Q recipe: Start with a  file  as follows (not including the
> dashed lines):
> --------------------
>
> import os
>
>
>
> def some_outer():
>     """
>     Returns an inner function
>     """
>     print('bah')
>
>     def inner(*args, **kwargs):
>         """
>         blah blah, 'True' is parsed as the boolean True, '[1,2,3]' as the array
>         [1,2,3], etc. -- but in cases where that doesn't work, yadda yadda
>         """
>         return 55
>
>     return inner
> --------------------
>
> Open the file. Above 'some_outer', try  to add
>
> class Foo:
>     """
>
> For me, emacs will consistently freeze after I press enter on the triple
> quote. The docstrings seem to play a role (if I delete them, it stops
> freezing), but I don't know exactly what is going on there.
>
> And by 'freeze', I mean exactly that -- emacs stops responding and
> cannot be quit, although I can force-quit it.
>
> In GNU Emacs 28.2 (build 1, aarch64-apple-darwin21.1.0, NS appkit-2113.00 Version 12.0.1 (Build 21A559))
> of 2022-09-12 built on armbob.lan
> Windowing system distributor 'Apple', version 10.3.2113
> System Description:  macOS 12.6.3

Cannot reproduce in 28.1 (5a223c7f2ef4c31abbd46367b6ea83cd19d30aa7) on
GNU/Linux.  Compiling 28.2 tag, 29 branch and master branch ATM.

--
Best,

RY